Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Stuck on PHP Version 4.4.9


Brad LaSalle

Recommended Posts

Hello,

 

I want to implement the osC_Sec addon but I am stuck. I am using osCommerce 2.2-MS2 and PHP Version 4.4.9 on web.com

 

1) I have 1 .htaccess file in the html directory which has me stuck using php 4 and it looks like this

 

DirectoryIndex catalog/index.php

# THE TWO LINES BELOW WERE ADDED BY WEB.COM SO THAT YOUR SITE USES PHP4 INSTEAD OF PHP5

AddHandler php4-script .php

Action php4-script /system-cgi/php4

 

everytime I try to comment out of the php4 call the website loads but i am stuck at the home page. when i click a category link it just shows the homepage. if i click on a new product on the home page it says product not found. other pages like advanced_search.php and contact_us.php seam to load okay.

 

2) I have another .htaccess file in html/catalog and it looks like this

 

DirectoryIndex index.php

php_flag register_globals on

 

3) i also have another .htaccess file in the html/catalog/admin directory

 

DirectoryIndex index.php

 

#Declare authorization type as basic.

AuthType Basic

 

#Define location of users, and groups.

#In this case, we won't use a group file.

 

AuthUserFile /home/cluster1/data/z/h/a924595/userfile

AuthGroupFile /dev/null

 

#Define the name of the resource --

#this is what users will see in the "password" dialog box.

 

AuthName "Request Admin Access"

 

#Tell the Web server to which directory you want to limit access.

 

 

Require valid-user /home/cluster1/data/z/h/a924595/html/catalog/admin

 

 

 

Any idea where to go from here or what I am doing wrong?

 

Thanks, Brad

Link to comment
Share on other sites

@@Brad LaSalle,

 

The short and nasty of it is........it's time to update to a new version of osCommerce. The fact that your hosting provider is still offering PHP 4.x should tell you, that you also need to change hosting providers.

 

 

 

Chris

Link to comment
Share on other sites

If you want to upgrade osc from php version 4.9 to 5.2 there are some code changes that need to be made.

 

Try this link

 

http://www.oscommerce.com/forums/topic/356898-php-upgrade-on-merchant-22-ms2/

 

You might also try this on google

 

http://www.oscommerce.com/forums/topic/356898-php-upgrade-on-merchant-22-ms2/

 

If you do not want to upgrade make sure your admin directory is secured as per the sticky threads at the start of the 2.2 security forum.

 

Welcome to the forum.

 

Cheers

 

G

Need help installing add ons/contributions, cleaning a hacked site or a bespoke development, check my profile

 

Virus Threat Scanner

My Contributions

Basic install answers.

Click here for Contributions / Add Ons.

UK your site.

Site Move.

Basic design info.

 

For links mentioned in old answers that are no longer here follow this link Useful Threads.

 

If this post was useful, click the Like This button over there ======>>>>>.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...